% Tg_prediction.m
%
%This is the Matlab code for predicting Tg using the trained ANN model (w_Tg.mat)
%
%Reading weights and other characteristics of the trained ANN saved in the file w_Tg.mat
load w_Tg.mat 
% Reading Excel file with new independent variables (Lambda, M(+), M(-) and Vv) to predict Tg
pnew = xlsread('Tg_Prediction.xlsx','Read_Variab_Prediction'); pnew=pnew';
% Normalization of all variables (values between  -1 y +1)
pnewn = tramnmx(pnew,minp,maxp);
% Obtaining the properties for the variables provided by the Excel  file Tg_Prediction.xlsx
anewn = sim(net,pnewn);
% Transformation of the normalized exits (between -1 y +1) determined by the ANN to real values
anew = postmnmx(anewn,mint,maxt); anew=anew';
% Saving the predicted Tg in the Excel file Tg_prediction.xlsx (sheet Results_Prediction')
xlswrite('Tg_Prediction.xlsx',anew,'Results_Prediction', 'd3');
